body {
  background-color: black;
  margin: 1rem 1.5rem !important;
  color: white;
}

button {
  outline: none !important;
  border: 1px solid transparent;
  box-shadow: none !important;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

a {
  cursor: pointer;
}

/* IDIOMES */

.idiomes {
  margin: 5rem 20rem;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.idiomes button {
  color: white;
  border: 1px solid white;
}

.idiomes button:hover {
  color: #ff931a;
  border: 1px solid #ff931a;
}

/* LOGO */

.logo {
  margin-bottom: 0.5rem;
  padding: 0rem 0.4rem;
}

.logo img {
  max-width: 100%;
}

/* PUNTS */

.punts {
  margin: 1rem 0rem;
}

.punts .iber {
  margin-top: 0.1rem;
  padding: 0rem 4.835rem;
}

.punts .line {
  margin-top: 2px;
}

.punts img {
  height: 1.5rem;
  width: auto;
}

/* PUNT TITOL */

.puntTitol {
  color: #ff931a;
  margin-bottom: 1rem;
  padding: 0rem 0.5rem;
}

.puntTitol .col-4,
.puntTitol .col-8 {
  padding: 0rem 0.3rem;
}

.puntTitol .img {
  margin-right: 1.5rem;
  width: 4rem;
  height: 4rem;
}

.puntTitol a {
  top: -1px;
}

.puntTitol img {
  width: 4rem;
  height: auto;
}

.puntTitol #gif {
  width: 18rem;
  height: auto;
  align-items: center;
}

/* AUDIO */

.audio {
  margin-bottom: 0.5rem;
  padding: 0rem 0.5rem;
}

.audio .col-9 {
  padding-right: 0.4rem;
}

.audio .col-3 {
  padding-left: 0.4rem;
}

.audio audio {
  width: 100%;
  height: 2rem;
}

.audio button {
  width: 100%;
  height: 2rem;
  padding: 0.2rem;
  background-color: #ff931a;
  color: white;
  font-size: 12px;
}
.audio p,
#alertMessage {
  color: black !important;
}

/* RECORREGUT */

.recorregut {
  text-align: center;
  display: inline-block;
  margin-bottom: 1rem;
  padding: 0rem 0.5rem !important;
}

.recorregut .col {
  padding: 0rem 0.2rem;
}

.recorregut .btn {
  font-size: 11px;
  background-color: black !important;
  color: white;
  padding: 0rem 1rem;
  max-width: max-content;
  border-radius: 0px;
}

.recorregut .dropdown-toggle {
  border-left: 2px solid #ff931a;
  border-right: 2px solid #ff931a;
}

.recorregut .dropdown-menu {
  background-color: black;
  border: 1px solid #ff931a !important;
  width: 15rem;
  top: -2px !important;
  left: -97% !important;
}

.recorregut .dropdown-menu img {
  max-width: 1.7rem;
  height: auto;
}

.recorregut .dropdown-menu span {
  margin-left: 0.3rem;
  color: white;
  font-size: 13px;
}

/* GALERIA */

.main-image {
  margin-bottom: 1rem;
  padding: 0rem 0.5rem !important;
}

.main-image .container-fluid {
  padding: 0rem !important;
}

#demo {
  height: 210px;
  background-color: black;
}

/* Make the image fully responsive */
.carousel-inner img,
.carousel-inner video {
  max-width: 100%;
  height: 100%;
}

.carousel-item {
  text-align: center;
}

.carousel-item .carousel-caption {
  bottom: 0rem !important;
  left: 0rem !important;
  width: 100%;
  padding: 0rem;
  background-color: #000 !important;
  opacity: 1;
}

.carousel-item p {
  border-radius: 0.2rem;
  opacity: 1 !important;
  margin: 0rem;
}

.destacat {
  font-weight: bold;
}

.carousel-inner .spinner-border {
  width: 3rem;
  height: 3rem;
  margin: 16.125rem;
}

/* ALTERN */

.altern {
  padding: 0rem 0.5rem !important;
}

#text {
  margin-bottom: 0.5rem;
  padding: 0rem 1rem;
  text-align: justify;
  font-size: 15px !important;
  color: gray !important;
}

.altern .nav-tabs .active {
  color: white;
}

.altern .nav-tabs .disabled {
  color: #565656;
}

.altern .nav-tabs button {
  background-color: black !important;
  color: white;
  border-left: 1px solid #565656;
  border-top: 1px solid #565656;
  border-right: 1px solid #565656;
  border-bottom: 1px solid white;
  padding: 0.2rem 2.5rem !important;
  font-size: 13px;
}

.altern .tab-content .images {
  margin: 5px 0px;
}

.altern .tab-content .images img {
  border: 2px solid black;
  max-width: 50%;
  max-height: 50%;
  float: left;
}

/* Add a border for thumnbail images */
.main-image .demo {
  border: 2px solid #000;
  max-width: 50%;
  max-height: 50%;
  float: left;
}

.selected-thumb {
  border: 2px solid #ff931a;
}

/* .map {
  width: 100%;
  height: 68vh;
  right: 0px;
  left: 0px;
  position: absolute;
} */

#map {
  width: 100%;
  height: 100% !important;
}

/* MEDIA QUERIES */

@media screen and (max-width: 290px) {
  body {
    background-color: black;
  }
  /* IDIOMES */
  .idiomes {
    margin: 5rem 2rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
  }
  /* RECORREGUT */
  .recorregut .btn {
    font-size: 10px !important;
    color: white;
    padding: 0.2rem 0.4rem !important;
    max-width: max-content;
  }
  .recorregut .dropdown-menu {
    width: 10.5rem;
    left: -65% !important;
  }
}

/* XS */

@media screen and (max-width: 575px) {
  body {
    background-color: black;
  }
  /* IDIOMES */
  .idiomes {
    margin: 5rem 2rem;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
  }
  .idiomes button {
    margin: 0.5rem;
  }
  /* RECORREGUT */
  .recorregut .btn {
    font-size: 12px;
    color: white;
    padding: 0.2rem 0.7rem !important;
    max-width: max-content;
    border-radius: 0px;
  }
  .recorregut .dropdown-menu {
    width: 10.5rem;
    left: -55% !important;
  }
  .recorregut .dropdown-menu a {
    padding: 0.2rem 0.5rem;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    color: white;
  }
  .recorregut .dropdown-menu img {
    max-width: 1.5rem;
    height: auto;
  }
  .recorregut .dropdown-menu span {
    margin-left: 0.2rem;
    color: white;
    font-size: 11px;
  }

  /* CAROUSEL */
  #demo {
    height: 210px;
    background-color: black;
  }
  .carousel-inner .spinner-border {
    width: 2rem;
    height: 2rem;
    margin: 5.5625rem;
  }

  /* ALTERN */
  .altern .nav-tabs button {
    padding: 0.2rem 2rem !important;
  }
  .altern .tab-content #mapa {
    height: 536px;
    overflow: scroll !important;
  }
}

/* S */

@media screen and (min-width: 576px) {
  body {
    background-color: black;
  }
  .logo img {
    max-width: 25rem;
  }
  /* IDIOMES */
  .idiomes {
    margin: 5rem 3rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }
  /* RECORREGUT */
  .recorregut .container-button {
    margin: 1rem 0rem !important;
  }
  .recorregut .btn {
    font-size: 14px;
    color: white;
    padding: 0.2rem 1rem;
    max-width: max-content;
    border-radius: 0px;
  }
  .recorregut .dropdown-menu {
    left: -73% !important;
  }
  .recorregut .dropdown-menu a {
    padding: 0.2rem 0.5rem;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    color: white;
  }
  .recorregut .dropdown-menu span {
    margin-left: 0.2rem;
    color: white;
    font-size: 14px;
  }

  /* CAROUSEL */
  #demo {
    height: 300px;
    background-color: black;
  }
  .carousel-inner .spinner-border {
    width: 2rem;
    height: 2rem;
    margin: 8.375rem;
  }

  /* ALTERN */
  .altern .tab-content #mapa {
    height: 536px;
    overflow: scroll !important;
  }
}

/* M */

@media screen and (min-width: 768px) {
  body {
    background-color: black;
  }
  .logo img {
    max-width: 25rem;
  }
  /* IDIOMES */
  .idiomes {
    margin: 5rem 6rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }
  /* RECORREGUT */
  .recorregut {
    font-size: 13px;
    color: gray;
    padding: 0.8rem;
  }
  .recorregut .container-button {
    margin: 0rem 1rem !important;
  }
  .recorregut .prev-next {
    display: contents !important;
  }
  /* .recorregut .prev-next i {
    margin: 0.1rem 0rem;
  } */
  .recorregut .previous {
    border-right: 1px solid #ff931a;
    display: inline-flex;
  }
  .recorregut .next {
    border-left: 1px solid #ff931a;
    display: inline-flex;
  }
  .recorregut .dropdown-menu {
    width: 16rem;
    left: -80% !important;
  }
  .recorregut .dropdown-menu a {
    padding: 0.2rem 0.5rem;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    color: white;
  }
  .recorregut .dropdown-menu span {
    margin-left: 0.2rem;
    color: white;
    font-size: 15px;
    text-overflow: ellipsis;
  }

  /* CAROUSEL */
  #demo {
    height: 416px;
    background-color: black;
  }
  .carousel-inner .spinner-border {
    width: 3rem;
    height: 3rem;
    margin: 11.5rem;
  }

  /* ALTERN */
  .altern .tab-content .images img {
    border: 2px solid black;
    max-width: 50%;
    max-height: 50%;
    float: left;
  }
  .altern .tab-content #mapa {
    height: 536px;
    overflow: scroll !important;
  }
}

/* L */

@media screen and (min-width: 992px) {
  body {
    background-color: black;
  }
  .logo img {
    max-width: 25rem;
  }
  /* IDIOMES */
  .idiomes {
    margin: 6rem 10rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }
  /* RECORREGUT */
  .recorregut {
    font-size: 15px;
    color: gray;
    padding: 0.8rem;
  }
  .recorregut .dropdown-menu img {
    max-width: 1.7rem !important;
    height: auto;
  }
  .recorregut .dropdown-menu span {
    margin-left: 0.2rem;
    color: white;
    font-size: 16px;
  }

  /* CAROUSEL */
  #demo {
    height: 546px;
    background-color: black;
  }
  .carousel-inner .spinner-border {
    width: 3rem;
    height: 3rem;
    margin: 15.5625rem;
  }
}

/* XL */

@media screen and (min-width: 1200px) {
  body {
    background-color: black;
    overflow: hidden;
  }
  .logo img {
    max-width: 18rem;
  }
  /* IDIOMES */
  .idiomes {
    margin: 5rem 15rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }
  /* RECORREGUT */
  .recorregut {
    margin-bottom: 0.5rem;
    font-size: 13px;
    color: gray;
    padding: 0.8rem;
  }
  .recorregut .prev-next i {
    display: inline-flex !important;
  }
  .recorregut .previous {
    border-right: 1px solid #ff931a;
    display: inline-flex;
  }
  .recorregut .next {
    border-left: 1px solid #ff931a;
    display: inline-flex;
  }

  /* CAROUSEL */
  #demo {
    height: 528px;
    background-color: black;
  }
  .carousel-inner .spinner-border {
    width: 3rem;
    height: 3rem;
    margin: 15rem;
  }

  /* ALTERN */
  .altern .collapse {
    height: 400px;
    overflow: scroll !important;
  }
  .altern .tab-content .tab-pane {
    height: 495px;
    overflow: scroll !important;
  }
  .altern .tab-content .images img {
    border: 2px solid black;
    max-width: 50%;
    max-height: 50%;
    float: left;
  }
}

/* XXL */

@media screen and (min-width: 1400px) {
  body {
    background-color: black;
    overflow: hidden;
  }
  .logo img {
    max-width: 20rem;
  }
  /* IDIOMES */
  .idiomes {
    margin: 5rem 17rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }
  /* RECORREGUT */
  .recorregut {
    margin-bottom: 0.5rem;
  }

  /* CAROUSEL */
  #demo {
    height: 564px;
    background-color: black;
  }
  .carousel-inner .spinner-border {
    width: 3rem;
    height: 3rem;
    margin: 16.125rem;
  }

  /* ALTERN */
  .altern .collapse {
    height: 450px;
    overflow: scroll !important;
  }
  .altern .tab-content .tab-pane {
    height: 536px;
    overflow: scroll !important;
  }
  .altern .tab-content .images img {
    border: 2px solid black;
    max-width: 50%;
    max-height: 50%;
    float: left;
  }
}

/* 3XL */

@media screen and (min-width: 1850px) {
  body {
    background-color: black;
    overflow: hidden;
  }
  .logo img {
    max-width: 20rem;
  }
  /* IDIOMES */
  .idiomes {
    margin: 5rem 17rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }
  /* RECORREGUT */
  .recorregut {
    margin-bottom: 0.5rem;
  }

  /* CAROUSEL */
  #demo {
    height: 600px !important;
    background-color: black;
  }
  .carousel-arrow {
    height: 125% !important;
  }
  /* Make the image fully responsive */
  .carousel-inner img,
  .carousel-inner video {
    max-width: 125% !important;
    height: 125% !important;
  }
  .carousel-inner .spinner-border {
    width: 3rem;
    height: 3rem;
    margin: 16.125rem;
  }

  /* ALTERN */
  .altern .collapse {
    height: 550px;
    overflow: scroll !important;
  }
  .altern .tab-content .tab-pane {
    height: 718px;
    overflow: scroll !important;
  }
  .altern .tab-content #mapa {
    height: 722px;
    overflow: scroll !important;
  }
  .altern .tab-content .images img {
    border: 2px solid black;
    max-width: 50%;
    max-height: 50%;
    float: left;
  }
}
